"use strict";

var _immutable = require("immutable");

var _index = require("../index");

describe('connected OutcomeAnalysis', function () {
  var fakeState = (0, _immutable.fromJS)({
    outcomes: {
      contextUuid: 'alphabeta',
      outcomesEndpoint: 'http://outcomes',
      outcomesToken: 'tokenme'
    }
  });
  describe('mapStateToProps', function () {
    it('maps outcomes credentials from state', function () {
      var props = (0, _index.mapStateToProps)(fakeState);
      expect(props.contextUuid).to.eq('alphabeta');
      expect(props.outcomesHost).to.eq('http://outcomes');
      expect(props.outcomesToken).to.eq('tokenme');
    });
  });
});